# Pull Request Guidelines

Please review the following before opening a pull request (PR) to help your PR go smoothly:

* Code changes go to the `dev` branch first
  * To ensure proper testing and quality control, target any code change pull requests against `dev` branch.

* Make sure the tests pass
  * Take a look at [TESTING.md](TESTING.md) to see how to run tests locally so you do not have to push all your code to a PR and have travis-ci run it.  
  * Your tests will probably run faster locally and you get a faster feedback loop.
